next-story/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story7.urls')),
    path('story8/', include('story8.urls')),
    path('', include('story9.urls'))
]

story7/urls.py
from django.contrib import admin
from django.urls import path,include
from . import views

app_name = 'story7'

urlpatterns = [
    path('story7/', views.accordion, name='accordion'),
]

story8/urls.py
from django.contrib import admin
from django.urls import path,include
from .views import searchbook, data

app_name = 'story8'

urlpatterns = [
    path('', searchbook , name='searchbook'),
    path('data/', data, name='data'),
]

story9/urls.py
from django.contrib import admin
from django.urls import path
from .views import logIn, signUp, logOut

app_name = 'story9'

urlpatterns = [
    path('login/', logIn, name='login'),
    path('signup/', signUp, name='signup'),
    path('logout/', logOut, name='logout'),
]

story7/models.py
from django.db import models

# Create your models here.

story8/models.py
from django.db import models

# Create your models here.

story9/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm


class LoginForm(AuthenticationForm):
    username = forms.CharField(label="Username", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signIn-username',
        'placeholder' : 'Username',
        'type' : 'text',
        'style' : 'width: 20vw;',
        'required' : True
    }))

    password = forms.CharField(label="Password", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signIn-password',
        'placeholder' : 'Password',
        'type' : 'password',
        'style' : 'width: 20vw;',
        'required' : True
    }))

class SignUpForm(UserCreationForm):
    
    username = forms.CharField(label="Username", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-username',
        'placeholder' : 'Username',
        'type' : 'text',
        'style' : 'width: 30vw;',
        'required' : True
    }))

    password1 = forms.CharField(label="Password", widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-password1',
        'placeholder' : 'Password',
        'type' : 'password',
        'style' : 'width: 30vw;',
        'required' : True
    }))
    password2 = forms.CharField(label="Confirm password", widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-password2',
        'placeholder' : 'Confirm Password',
        'type' : 'password',
        'style' : 'width: 30vw;',
        'required' : True
    }))

class Meta:
    model = User
    fields = ['first_name', 'last_name', 'username', 'password1', 'password2']

story7/views.py
from django.shortcuts import render
from django.http import HttpResponse

def accordion(request):
     return render(request, 'accordion.html')

story8/views.py
from django.shortcuts import render
from django.http import JsonResponse
import requests
import json

# Create your views here.
def data(request):
	try:
		q = request.GET['q']

	except:
		q = 'quilting'

	json_read = requests.get('https://www.googleapis.com/books/v1/volumes?q=' + q).json()
	return JsonResponse(json_read)
    
def searchbook(request):
	return render(request,'s8-book.html')

story9/views.py
from django.shortcuts import render, redirect
from .forms import LoginForm, SignUpForm
from django.contrib.auth.models import User
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm

def logIn(request):
    if request.method == "POST":
        form = LoginForm(data = request.POST)

        if form.is_valid():
            usernameInput = request.POST["username"]
            passwordInput = request.POST["password"]

            print(usernameInput, passwordInput)
            user = authenticate(request, username = usernameInput, password = passwordInput)

            if user is not None:
                login(request, user)
                return redirect("story9:login")

        else:
            messages.error(request, 'Invalid entry')

    else:
        form = LoginForm()

    context = {
        "form" : form,
    }

    return render(request, "login.html", context)

def signUp(request):
    if request.method == 'POST':
        form = SignUpForm(request.POST)

        if form.is_valid():
            user = form.save()
            login(request, user)
            return redirect("story9:login")

        else:
            for msg in form.error_messages:
                messages.error(request, 'Invalid entry')

    else:
        form = SignUpForm()

    context = {
        'form' : form
    }

    return render(request, "signup.html", context)

def logOut(request):
    logout(request)
    return redirect("story9:login")

templates/accordion.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
    <div class="main-about" theme="dark">
        <div class="about-container">
        
            <div class="left-side d-flex flex-column justify-content-start">
             
                <!-- Header Text -->
                <div class="header-about ml-5 mt-3">
                    <h3>Another story of</h3>
                    <h1>Dinar</h1>
                    <h6>Click the accordion to know more about me</h6>
                </div>
                
                <!-- Theme switch button -->
                <div class="dots ml-5 mt-3">
                    <p class="dots-title">Change Theme</p>
                    <div class="dotsies">
                      <div class="dot1" id="dot1" name="light"></div>
                      <div class="dot2" id="dot2" name="dark"></div>
                    </div>
                </div>

                <div class="navbar ml-5 mt-3">
                    {% include 'navbar.html' %}
                </div>
        
            </div>
          
            <div class="accordion-container right-side  ml-5 mt-5">
                <div class="accordion mx-5 mt-5" id="anAccordion">
                    <!-- CARD 1 -->
                    <div class="accordion1 card z-depth-0 bordered" style="order:1;">
                        <div class="card-header row" id="headingOne2">
    
                        <!-- Title -->
                        <h5 class="mb-0 col">
                            <button class="btn2" type="button" data-toggle="collapse" data-target="#collapseOne2"
                            aria-expanded="true" aria-controls="collapseOne2">
                            MY ACTIVITY
                            </button>
                        </h5>

                        <!-- Buttons -->
                        <div class="accordion-buttons col-2 d-flex justify-content-flex">
                            <div class="button-up" id="up-accordion1">
                            <svg class="up bi bi-chevron-up mx-2" width="32" height="32" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M7.646 4.646a.5.5 0 01.708 0l6 6a.5.5 0 01-.708.708L8 5.707l-5.646 5.647a.5.5 0 01-.708-.708l6-6z" clip-rule="evenodd"></path>
                            </svg>
                            </div>
                            <div class="button-down" id="down-accordion1">
                            <svg class="down bi bi-chevron-down mx-2" width="32" height="32" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 01.708 0L8 10.293l5.646-5.647a.5.5 0 01.708.708l-6 6a.5.5 0 01-.708 0l-6-6a.5.5 0 010-.708z" clip-rule="evenodd"></path>
                            </svg>
                            </div>
                        </div>
                    </div>

                    <!-- Content -->
                    <div id="collapseOne2" class="collapse" aria-labelledby="headingOne2"
                        data-parent="#anAccordion">
                        <div class="card-body">
                            Ngoding <br>
                            Merawat hamster <br>
                            PJJ
                        </div>
                        </div>
                    </div>
    
                    <!-- CARD 2 -->
                    <div class="accordion2 card z-depth-0 bordered" style="order:2;">
                        <div class="card-header row" id="headingTwo2">
                        <!-- Card title -->
                        <h5 class="mb-0 col">
                            <button class="btn2" type="button" data-toggle="collapse"
                            data-target="#collapseTwo2" aria-expanded="false" aria-controls="collapseTwo2">
                            MY EXPERIENCE
                            </button>
                        </h5>
    
                        <!-- Buttons -->
                        <div class="accordion-buttons col-2 d-flex justify-content-flex">
                            <div class="button-up" id="up-accordion2">
                                <svg class="up bi bi-chevron-up mx-2" width="32" height="32" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M7.646 4.646a.5.5 0 01.708 0l6 6a.5.5 0 01-.708.708L8 5.707l-5.646 5.647a.5.5 0 01-.708-.708l6-6z" clip-rule="evenodd"></path>
                                </svg>
                            </div>
                            <div class="button-down" id="down-accordion2">
                                <svg class="down bi bi-chevron-down mx-2" width="32" height="32" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 01.708 0L8 10.293l5.646-5.647a.5.5 0 01.708.708l-6 6a.5.5 0 01-.708 0l-6-6a.5.5 0 010-.708z" clip-rule="evenodd"></path>
                                </svg>
                            </div>
                        </div>
                    </div>
                        
                    <!-- Content -->
                    <div id="collapseTwo2" class="collapse" aria-labelledby="headingTwo2"
                            data-parent="#anAccordion">
                        <div class="card-body">
                            Pernah juara 3 panahan indonesia (ga beneran) <br>
                            Pernah jadi mentor di BETIS sama PMB <br>
                            Sekarang lagi jadi staf akpem dan wpj mentor betis <br>
                        </div>
                        </div>
                    </div>
    
                    <!-- CARD 3 -->
                    <div class="accordion3 card z-depth-0 bordered" style="order:3;">
                        <div class="card-header row" id="headingThree2">
                        <!-- Title -->
                        <h5 class="mb-0 col">
                            <button class="btn2" type="button" data-toggle="collapse"
                            data-target="#collapseThree2" aria-expanded="false" aria-controls="collapseThree2">
                            MY ACHIEVEMENT 
                            </button>
                        </h5>
    
                        <!-- Buttons -->
                        <div class="accordion-buttons col-2 d-flex justify-content-flex">
                            <div class="button-up" id="up-accordion3">
                                <svg class="up bi bi-chevron-up mx-2" width="32" height="32" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M7.646 4.646a.5.5 0 01.708 0l6 6a.5.5 0 01-.708.708L8 5.707l-5.646 5.647a.5.5 0 01-.708-.708l6-6z" clip-rule="evenodd"></path>
                                </svg>
                            </div>
                            <div class="button-down" id="down-accordion3">
                                <svg class="down bi bi-chevron-down mx-2" width="32" height="32" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 01.708 0L8 10.293l5.646-5.647a.5.5 0 01.708.708l-6 6a.5.5 0 01-.708 0l-6-6a.5.5 0 010-.708z" clip-rule="evenodd"></path>
                                </svg>
                            </div>
                        </div>
                        </div>
    
                        <!-- Collapse content -->
                        <div id="collapseThree2" class="collapse" aria-labelledby="headingThree2"
                        data-parent="#anAccordion">
                        <div class="card-body">
                            Masuk Fasilkom Universitas Indonesia <br>
                            Sisanya menyusul doain ya :)
                        </div>
                        </div>
                    </div>

                    <!-- CARD 4 -->
                    <div class="accordion4 card z-depth-0 bordered" style="order:4;">
                        <div class="card-header row" id="headingFour4">
                        <!-- Card title -->
                        <h5 class="mb-0 col">
                            <button class="btn2" type="button" data-toggle="collapse"
                            data-target="#collapseFour4" aria-expanded="false" aria-controls="collapseFour4">
                            MY HOBBY
                            </button>
                        </h5>
    
                        <!-- Buttons -->
                        <div class="accordion-buttons col-2 d-flex justify-content-flex">
                            <div class="button-up" id="up-accordion4">
                                <svg class="up bi bi-chevron-up mx-2" width="32" height="32" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M7.646 4.646a.5.5 0 01.708 0l6 6a.5.5 0 01-.708.708L8 5.707l-5.646 5.647a.5.5 0 01-.708-.708l6-6z" clip-rule="evenodd"></path>
                                </svg>
                            </div>
                            <div class="button-down" id="down-accordion4">
                                <svg class="down bi bi-chevron-down mx-2" width="32" height="32" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 01.708 0L8 10.293l5.646-5.647a.5.5 0 01.708.708l-6 6a.5.5 0 01-.708 0l-6-6a.5.5 0 010-.708z" clip-rule="evenodd"></path>
                                </svg>
                            </div>
                        </div>
                        </div>
                        
                        <!-- Collapse content -->
                        <div id="collapseFour4" class="collapse" aria-labelledby="headingFour4"
                        data-parent="#anAccordion">
                        <div class="card-body">
                            Suka banget dengerin True Crime <br>
                            Suka Among Us karena kayak detektif ("cari siapa pembunuhnya")
                        </div>
                        </div>
                    </div>
                </div>
            </div>
        
            
        </div>
        </div>

{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    
    <!-- FONTS -->
    <link href="https://fonts.googleapis.com/css?family=Kanit:wght@400;500;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Roboto,wght@0,300;0,400;0,700;0,900;1,700;1,900&display=swap" rel="stylesheet"><!-- @import url('https://fonts.googleapis.com/css?family=Kanit'); -->
    
    <!-- CUSTOM CSS -->    
    <link rel="stylesheet" type="text/css" href="{% static 'css/accordion.css' %}" id="themeStory7">  
    <link rel="stylesheet" type="text/css" href="{% static 'css/s8-book.css' %}">        
    
    <title>Dinar Sulistyorini</title>
  </head>
  <body>
    
    {% block content %}
    {% endblock %}

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <script type="text/javascript" src="{% static 'js/accordion.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/s8-book.js' %}"></script>

  </body>
</html>

templates/login.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class="about-container">
    <div class="left-side d-flex flex-column justify-content-start">
             
        <!-- Header Text -->
        <div class="header-about ml-5 mt-3">
            <h3>Sign In</h3>
        </div>
        
        <!-- Navbar -->
        <div class="navbar ml-5 mt-3">
            {% include 'navbar.html' %}
        </div>
    </div>

    <div class="main-story9 d-flex flex-column justify-content-center">
        <div class="row ">


            <div class="right-page col">
                {% if user.is_authenticated == False %}
                <div class="login content mx-5 my-3">
                    {% if messages %}
                    {% for message in messages %}
                    <div class="alert alert-{{ message.tags }} alert-danger mt-4" role="alert">
                        {{ message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    {% endfor %}
                    {% endif %}
                    <div class="title">
                        <h3>Sign in</h3>
                    </div>

                    <div class="login-form">
                        <form method="POST">
                            {% csrf_token %}
                            {{ form }}

                            <div>
                                <button type="submit" name="btn-login" id="btn-logIn"
                                    class="btn btn-dark mt-4">LOGIN</button>
                            </div>
                        </form>
                    </div>

                    <div class="info mt-5">
                        <p>
                            Don't have an account? <a class="sign-up-in-link" href="{% url 'story9:signup' %}"><strong>Sign
                                    up.</strong></a>
                        </p>
                    </div>
                </div>

                {% else %}
                <div class="success mt-5 ml-5">
                    <div class="btn-logout">
                        <form action="{% url 'story9:logout' %}">
                            <input type="submit" id="btn-logOut" class="btn btn-dark" value="Log out">
                        </form>
                    </div>

                    <div class="greeting mt-5">
                        <h3>Welcome,</h3>
                        <h1 style="font-weight: 800px;"><span class="highlight">{{user.username}}.</span></h1>
                    </div>
                </div>

                </div>
                {% endif %}
            </div>
        </div>
    </div>

{% endblock content %}

templates/navbar.html
<nav id="sidebar" class="mb-3">
    <li class="active" style="list-style-type:none;">
        <a href="#homeSubmenu" data-toggle="collapse" type=button aria-expanded="false" class="dropdown-toggle btn-toggle">Menu</a>
        <ul class="collapse list-unstyled" id="homeSubmenu" >
            <li>
                <a href="{% url 'story7:accordion' %}">Story 7</a>
            </li>
            <li>
                <a href="{% url 'story8:searchbook' %}">Story 8</a>
            </li>
            <li>
                <a href="{% url 'story9:login' %}">Story 9</a>
            </li>
        </ul>
    </li>
</nav>

templates/s8-book.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class="about-container">
<div class="left-side d-flex flex-column justify-content-start">
         
    <!-- Header Text -->
    <div class="header-about ml-5 mt-3">
        <h3>Search Book
    </div>
    
    <!-- Navbar -->
    <div class="navbar ml-5 mt-3">
        {% include 'navbar.html' %}
    </div>
</div>

    <div class="SearchBook">
        <div class="d-flex justify-content-center">
            <!-- <h1 class="judulSearchBook">
                <b name="judul">Search Book</b>
            </h1> -->
        </div>
        <div class="SearchBook2" style="padding-top:10px">
            <input type="text" id="textField" name="searchbar" placeholder="Search for books.." title="Type in a name">
        </div>
        <div class="table-responsive" style="padding-top:10px" id="Table">
            <table class="table table-hover">
                <thead>
                    <tr class="table text-center">
                        <th scope="col" style="color: black">No</th>
                        <th scope="col" style="color: black">Cover</th>
                        <th scope="col" style="color: black">Title</th>
                        <th scope="col" style="color: black">Authors</th>
                        <th scope="col" style="color: black">Publisher</th>
                        <th scope="col" style="color: black">Published Date</th>
                    </tr>
                </thead>
                <tbody id="hasilSearch" style="color: black;"></tbody>
            </table>
        </div>
    </div>
</div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script src="{% static 'js/s8-book.js' %}"></script>
{% endblock content %}

templates/signup.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class="about-container">
    <div class="left-side d-flex flex-column justify-content-start">
             
        <!-- Header Text -->
        <div class="header-about ml-5 mt-3">
            <h3>Sign Up</h3>
        </div>
        
        <!-- Navbar -->
        <div class="navbar ml-5 mt-3">
            {% include 'navbar.html' %}
        </div>
    </div>

    
    <div class="main-story9 d-flex flex-column justify-content-center">
    {% if messages %}
        {% for message in messages %}
        <div class="alert alert-{{ message.tags }} alert-dismissible fade show mt-4" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endfor %}
    {% endif %}
    
    <div class="row">

        <div class="right-page col">
            <div class="login-content mx-5 ">

                <div class="title">
                    <h3>Create a new account</h3>
                </div>
            
            <div class="register-form">
                <form method="POST">
                    {% csrf_token %} 
                    {{ form }}
                    <div>
                        <button type="submit" name="btn-signup" id='btn-signUp' class="btn btn-dark mt-4">SIGN UP</button>
                    </div>
                </form>
            </div>
        
            <div class="info mt-5">
                <p>
                    Have an account already? <a class="sign-up-in-link" href="{% url 'story9:login' %}"><strong>Sign in.</strong></a>
                </p>
            </div>
        </div>
    </div> 
</div>

    {% endblock content %}